Description

Numeric scale for geographic coordinate systems (i.e. EPSG:4326, EPSG:4258) is not being propperly calculated at gvSIG status
bar.

Associated revisions

Revision 38648 - 08/09/2012 05:11 AM - Ignacio Brodin

fixes #578 Wrong numeric scale on status bar

History

#1 - 05/10/2012 02:42 PM - Manuel Madrid

Could you give us some steps in order to reproduce the error?

#2 - 06/06/2012 11:21 AM - Manuel Madrid

- Target version set to 2.0.0-rc1

#3 - 06/25/2012 08:22 AM - Jorge Sanz

- File Sintitulo.png added

Hi,

With BN 2046:

- Create a View

- Assign EPSG:4326

- Add a shapefile

The scale number is wrong. See attached image. I'll update to 2048 in order to confirm it.

#4 - 06/25/2012 08:40 AM - Jorge Sanz
I've teste on 2048 and it's still wrong.

By the way, sorry for the delay on updating this infromation.

#5 - 07/03/2012 12:43 PM - Ignacio Brodin

I've tested this problem with a workspace and with the build 2049 and it does not appear. This is strange, but. Could be this problem related with the

data? If those layers are not big, Could you attach them to this ticket?

#6 - 08/09/2012 10:07 AM - Ignacio Brodin

The combo box was not receiving the view events and the value was not updating.
gvsig-desktop:r38647

When the extJCRS is installed the scale is wrong yet.

#7 - 08/09/2012 11:17 AM - Ignacio Brodin
- Status changed from New to Fixed

The event that changed the units to Degrees in the ViewProperties class was deleted by cordinaya in the commit 36648. | don't know which was the

reason but | have restored the code.

#8 - 08/13/2012 10:36 AM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#9 - 08/22/2012 10:46 AM - Maria Maluenda

- Status changed from Fixed to Closed

Closed in the gvSIG build 2051
